segsetwithimages.hh File Reference
`#include <mia/core/iohandler.hh>`
`#include <mia/2d/segset.hh>`
`#include <mia/2d/image.hh>`
Include dependency graph for segsetwithimages.hh:

Go to the source code of this file.

## Data Structures

class | CSegSetWithImages
| A set of images and its segmentations, related to heart perfusion analysis. More...
struct | IOHandler_of< CSegSetWithImages >

## Typedefs

typedef TIOPlugin< CSegSetWithImages > | CSegSetWithImagesIOPlugin
typedef THandlerSingleton< TIOPluginHandler< CSegSetWithImagesIOPlugin > > | CSegSetWithImagesIOPluginHandler
typedef CSegSetWithImages::Pointer | PSegSetWithImages

## Variables

template class EXPORT_2DMYOCARD | TIOPlugin< CSegSetWithImages >
template class EXPORT_2DMYOCARD | TPlugin< CSegSetWithImages, io_plugin_type >

## Typedef Documentation

## CSegSetWithImagesIOPlugin

typedef TIOPlugin<CSegSetWithImages> CSegSetWithImagesIOPlugin

Definition at line 106 of file segsetwithimages.hh.

## CSegSetWithImagesIOPluginHandler

typedef THandlerSingleton< TIOPluginHandler<CSegSetWithImagesIOPlugin > > CSegSetWithImagesIOPluginHandler

Definition at line 107 of file segsetwithimages.hh.

## PSegSetWithImages

typedef CSegSetWithImages::Pointer PSegSetWithImages

Definition at line 101 of file segsetwithimages.hh.

## Variable Documentation

## TIOPlugin< CSegSetWithImages >

template class EXPORT_2DMYOCARD TIOPlugin< CSegSetWithImages >

extern

## TPlugin< CSegSetWithImages, io_plugin_type >

template class EXPORT_2DMYOCARD TPlugin< CSegSetWithImages, io_plugin_type >

extern